using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AlarmInfoServerSim.Services
{
    public class LogService : ILogService
    {
        public LogService() 
        {

        }

        public void Log(string message)
        {
            string logFormat = $"[{DateTime.Now.ToString()}] Content: {message} ";
            LogReceived?.Invoke(null, logFormat);
        }

        public event EventHandler<string>? LogReceived;
    }
}
